package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.LcdInfoMapper;
import com.ruoyi.system.domain.LcdInfo;
import com.ruoyi.system.service.ILcdInfoService;

/**
 * 消息Service业务层处理
 *
 * @author ruoyi
 * @date 2023-01-14
 */
@Service
public class LcdInfoServiceImpl implements ILcdInfoService
{
    @Autowired
    private LcdInfoMapper lcdInfoMapper;

    /**
     * 查询消息
     *
     * @param id 消息主键
     * @return 消息
     */
    @Override
    public LcdInfo selectLcdInfoById(Long id)
    {
        return lcdInfoMapper.selectLcdInfoById(id);
    }

    /**
     * 查询消息列表
     *
     * @param lcdInfo 消息
     * @return 消息
     */
    @Override
    public List<LcdInfo> selectLcdInfoList(LcdInfo lcdInfo)
    {
        return lcdInfoMapper.selectLcdInfoList(lcdInfo);
    }

    /**
     * 新增消息
     *
     * @param lcdInfo 消息
     * @return 结果
     */
    @Override
    public int insertLcdInfo(LcdInfo lcdInfo)
    {
        lcdInfo.setCreateTime(DateUtils.getNowDate());
        return lcdInfoMapper.insertLcdInfo(lcdInfo);
    }

    /**
     * 修改消息
     *
     * @param lcdInfo 消息
     * @return 结果
     */
    @Override
    public int updateLcdInfo(LcdInfo lcdInfo)
    {
        lcdInfo.setUpdateTime(DateUtils.getNowDate());
        return lcdInfoMapper.updateLcdInfo(lcdInfo);
    }

    /**
     * 批量删除消息
     *
     * @param ids 需要删除的消息主键
     * @return 结果
     */
    @Override
    public int deleteLcdInfoByIds(Long[] ids)
    {
        return lcdInfoMapper.deleteLcdInfoByIds(ids);
    }

    /**
     * 删除消息信息
     *
     * @param id 消息主键
     * @return 结果
     */
    @Override
    public int deleteLcdInfoById(Long id)
    {
        return lcdInfoMapper.deleteLcdInfoById(id);
    }
}
